// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.

require.config({
    baseUrl : './',
    paths : {
        //If you changed something here, you should change it in src/tour/build/tour.build.js
        //and consider if changes need to be made to src/main/webapp/js/cic/shell-require.js
        hp : '../../../../uihp/src/main/webapp/js/hp',
        fs : '../../../../uihp/src/main/webapp/js/fs',
        lib : '../../../../uihp/src/main/webapp/js/lib',
        text : '../../../../uihp/src/main/webapp/js/lib/text',
        hpsum : 'js/hpsum',
        lang : 'js/hpsum/lang',
        hpPages : '../../../../uihp/src/main/webapp/pages',
        fsPages : '../../../../uihp/src/main/webapp/pages/fs',
        hpsumpages : 'pages/hpsum',
        jquery : '../../../../uihp/src/main/webapp/js/lib/jquery-1.7.1',
        jqueryUI : '../../../../uihp/src/main/webapp/js/lib/jquery-ui-1.8.16.piano.min',
        modernizr : '../../../../uihp/src/main/webapp/js/lib/modernizr'
    },
    priority : ['modernizr', 'jquery'],
    waitSeconds : 20
});

require(['hp/Application',
    'hpsum/shell/MainPageRoutes',
    'jquery', 'jqueryUI', 'modernizr'],
function(application, routes) { "use strict";

    $.ajaxSetup({
        // Disable caching of AJAX responses for development
        cache : false
    });
    $(document).ready(function() {

        application.init("HP UI Sample");

        routes.load();

        application.start();
    });
});
